OpenVDB: VoxelizationData< TreeType > Struct Template Reference

OpenVDB 3.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
VoxelizationData< TreeType > Struct Template Reference

TBB body object to voxelize a mesh of triangles and/or quads into a collection of VDB grids, namely a squared distance grid, a closest primitive grid and an intersecting voxels grid (masks the mesh intersecting voxels) More...

`#include <MeshToVolume.h>`

## Public Types
typedef boost::scoped_ptr< VoxelizationData > | Ptr
typedef TreeType::ValueType | ValueType
typedef TreeType::template ValueConverter< Int32 >::Type | Int32TreeType
typedef TreeType::template ValueConverter< unsigned char >::Type | UCharTreeType
typedef tree::ValueAccessor< TreeType > | FloatTreeAcc
typedef tree::ValueAccessor< Int32TreeType > | Int32TreeAcc
typedef tree::ValueAccessor< UCharTreeType > | UCharTreeAcc

## Public Member Functions
| VoxelizationData ()
unsigned char | getNewPrimId ()

## Public Attributes
TreeType | distTree
FloatTreeAcc | distAcc
Int32TreeType | indexTree
Int32TreeAcc | indexAcc
UCharTreeType | primIdTree
UCharTreeAcc | primIdAcc

## Detailed Description

### template<typename TreeType>
struct openvdb::v3_1_0::tools::mesh_to_volume_internal::VoxelizationData< TreeType >

TBB body object to voxelize a mesh of triangles and/or quads into a collection of VDB grids, namely a squared distance grid, a closest primitive grid and an intersecting voxels grid (masks the mesh intersecting voxels)

Note
  Only the leaf nodes that intersect the mesh are allocated, and only voxels in a narrow band (of two to three voxels in proximity to the mesh's surface) are activated. They are populated with distance values and primitive indices.

## Member Typedef Documentation

typedef tree::ValueAccessor<TreeType> FloatTreeAcc

typedef tree::ValueAccessor<Int32TreeType> Int32TreeAcc

typedef TreeType::template ValueConverter<Int32>::Type Int32TreeType

typedef boost::scoped_ptr<VoxelizationData> Ptr

typedef tree::ValueAccessor<UCharTreeType> UCharTreeAcc

typedef TreeType::template ValueConverter<unsigned char>::Type UCharTreeType

typedef TreeType::ValueType ValueType

## Constructor & Destructor Documentation

VoxelizationData | ( |  | ) |
| inline

## Member Function Documentation

unsigned char getNewPrimId | ( |  | ) |
| inline

## Member Data Documentation

FloatTreeAcc distAcc

TreeType distTree

Int32TreeAcc indexAcc

Int32TreeType indexTree

UCharTreeAcc primIdAcc

UCharTreeType primIdTree

The documentation for this struct was generated from the following file:

- MeshToVolume.h